<?php

/**
 * The main plugin file for Better Recent Comments.
 *
 * @wordpress-plugin
 * Plugin Name:     Better Recent Comments
 * Plugin URI:      https://wordpress.org/plugins/better-recent-comments/
 * Description:     This plugin provides an improved widget and shortcode to show your most recent comments. If using WPML, comments are limited to posts in the current language.
 * Version:         1.1.1
 * Author:          Barn2 Media
 * Author URI:      https://barn2.co.uk
 * Text Domain:     better-recent-comments
 * Domain Path:     /languages
 *
 * Copyright:       Barn2 Media Ltd
 * License:         GNU General Public License v3.0
 * License URI:     https://www.gnu.org/licenses/gpl.html
 */
namespace Barn2\Plugin\Better_Recent_Comments;

// Prevent direct file access
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

const PLUGIN_VERSION = '1.1.1';
const PLUGIN_FILE    = __FILE__;

// Autoloader.
require_once plugin_dir_path( __FILE__ ) . 'autoloader.php';

// Helper function to access the shared plugin instance.
function better_recent_comments() {
    return Plugin_Factory::create( PLUGIN_FILE, PLUGIN_VERSION );
}

// Load the plugin
better_recent_comments()->register();
